# Generated by Django 3.0.11 on 2022-01-26 15:31

import crafty_bot.sprint_checklist.models
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('sprint_checklist', '0005_increase_role_and_cell_name_length'),
    ]

    operations = [
        migrations.AlterField(
            model_name='cell',
            name='checklist_template_id',
            field=models.BigIntegerField(blank=True, help_text='Id of the checklist template associated with this cell (null for the default template)', null=True, validators=[crafty_bot.sprint_checklist.models.validate_positive]),
        ),
        migrations.AlterField(
            model_name='cell',
            name='evaluation_board_id',
            field=models.BigIntegerField(help_text='The ID of the sprint evaluation board.', unique=True, validators=[crafty_bot.sprint_checklist.models.validate_positive]),
        ),
        migrations.AlterField(
            model_name='cell',
            name='retrospective_board_id',
            field=models.BigIntegerField(help_text='The ID of the retrospective board.', unique=True, validators=[crafty_bot.sprint_checklist.models.validate_positive]),
        ),
        migrations.AlterField(
            model_name='cell',
            name='workspace_id',
            field=models.BigIntegerField(help_text='The ID of the workspace.', unique=True, validators=[crafty_bot.sprint_checklist.models.validate_positive]),
        ),
        migrations.AlterField(
            model_name='sprintchecklist',
            name='board_id',
            field=models.BigIntegerField(help_text='The ID of the board.', unique=True, validators=[crafty_bot.sprint_checklist.models.validate_positive]),
        ),
        migrations.AlterField(
            model_name='sprintchecklist',
            name='board_name',
            field=models.CharField(help_text='Human readable name of the board.', max_length=255, unique=True, validators=[crafty_bot.sprint_checklist.models.validate_positive]),
        ),
        migrations.AlterField(
            model_name='sprintchecklist',
            name='sprint_id',
            field=models.BigIntegerField(help_text='The ID of the sprint.', validators=[crafty_bot.sprint_checklist.models.validate_positive]),
        ),
        migrations.AlterField(
            model_name='sprintchecklist',
            name='state',
            field=models.CharField(choices=[('all', 'all'), ('active', 'active'), ('archived', 'archived'), ('deleted', 'deleted')], help_text='The current state of a board.', max_length=8, validators=[crafty_bot.sprint_checklist.models.validate_positive]),
        ),
    ]
